function [aFilt,xFilt,yFilt,zFilt] = filtraceHP(celkZrych,x,y,z,cas,fVz,n,fM,logGraf)
%          filtrace - odstranění neužitečných složek signálů filtrací horní
%                     propustí
%         celkZrych - výsledné zrychlení vypočtené ze zrychlení v osách X,Y,Z
%             x,y,z - zrychlení v osách X,Y,Z
%               cas - časová posloupnost
%               fVz - vzorkovací frekvence signálů
%                 n - řád filtru 
%                fM - mezní frekvence
%           logGraf - 0 nebo 1, podle toho, zda chceme vykreslit grafy
%                     srovnání
%             aFilt - filtrovaný signál výsledného zrychlení
% xFilt,yFilt,zFilt - filtrované signály zrychlení v osách


%% Parametry filtru:
mezniFrek = fM/(fVz/2);
a = 1;
b = fir1(n,mezniFrek,'high');

%% Filtrace signálů:
aFilt = filter(b,a,celkZrych);
xFilt = filter(b,a,x);
yFilt = filter(b,a,y);
zFilt = filter(b,a,z);

%% Vykreslení původních a filtrovaných signálů:
if logGraf == 1
    mezX = cas(end) + 1;
    mezYPlus = max([max(x),max(y),max(z)]) + 3;
    mezYMinus = min([min(x),min(y),min(z)]) - 3;
    mezY = ceil(max([mezYPlus,abs(mezYMinus)]));
    mezYA = max(max(celkZrych),abs(min(celkZrych))) + 3;

    % Původní:
    figure
    subplot 421
    plot(cas,celkZrych)
    title('Původní - celkové')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezYA,mezYA])

    subplot 423
    plot(cas,x)
    title('Původní - osa X')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezY,mezY])

    subplot 425
    plot(cas,y)
    title('Původní - osa Y')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezY,mezY])

    subplot 427
    plot(cas,z)
    title('Původní - osa Z')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezY,mezY])

    % Filtrované:
    %figure
    subplot 422
    plot(cas,aFilt)
    title('Filtrovaný - celkové')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezYA,mezYA])

    subplot 424
    plot(cas,xFilt)
    title('Filtrovaný - osa X')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezY,mezY])

    subplot 426
    plot(cas,yFilt)
    title('Filtrovaný - osa Y')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezY,mezY])

    subplot 428
    plot(cas,zFilt)
    title('Filtrovaný - osa Z')
    xlabel('Čas [s]')
    ylabel('Zrychlení [m.s^{-2}]')
    xlim([0,mezX])
    ylim([-mezY,mezY])
end
end